diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc ns-3.44/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc
--- ns-3.43/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc	2025-03-09 16:55:49.707372200 -0700
@@ -60,9 +60,9 @@
 /**
  * TCP Congestion window tracker.
  *
- * \param stream The output stream.
- * \param oldval Old value.
- * \param newval New value.
+ * @param stream The output stream.
+ * @param oldval Old value.
+ * @param newval New value.
  */
 static void
 CwndTracer(Ptr<OutputStreamWrapper> stream, uint32_t oldval, uint32_t newval)
@@ -73,7 +73,7 @@
 /**
  * Setup for TCP congestion window tracking.
  *
- * \param cwndTrFileName Congestion window output file name.
+ * @param cwndTrFileName Congestion window output file name.
  */
 static void
 TraceCwnd(std::string cwndTrFileName)
@@ -96,8 +96,8 @@
 /**
  * Traffic Control Sojourn tracker.
  *
- * \param stream The output stream.
- * \param newval New value.
+ * @param stream The output stream.
+ * @param newval New value.
  */
 static void
 SojournTracer(Ptr<OutputStreamWrapper> stream, Time newval)
@@ -108,7 +108,7 @@
 /**
  * Setup for Traffic Control Sojourn time tracking.
  *
- * \param sojournTrFileName Sojourn time output file name.
+ * @param sojournTrFileName Sojourn time output file name.
  */
 static void
 TraceSojourn(std::string sojournTrFileName)
@@ -131,9 +131,9 @@
 /**
  * Traffic Control Queue length tracker.
  *
- * \param stream The output stream.
- * \param oldval Old value.
- * \param newval New value.
+ * @param stream The output stream.
+ * @param oldval Old value.
+ * @param newval New value.
  */
 static void
 QueueLengthTracer(Ptr<OutputStreamWrapper> stream, uint32_t oldval, uint32_t newval)
@@ -144,7 +144,7 @@
 /**
  * Setup for Traffic Control Queue length tracking.
  *
- * \param queueLengthTrFileName Queue length output file name.
+ * @param queueLengthTrFileName Queue length output file name.
  */
 static void
 TraceQueueLength(std::string queueLengthTrFileName)
@@ -167,8 +167,8 @@
 /**
  * Traffic control drop trace.
  *
- * \param stream The output stream.
- * \param item The dropped item.
+ * @param stream The output stream.
+ * @param item The dropped item.
  */
 static void
 EveryDropTracer(Ptr<OutputStreamWrapper> stream, Ptr<const QueueDiscItem> item)
@@ -179,7 +179,7 @@
 /**
  * Setup for Traffic Control drop tracking.
  *
- * \param everyDropTrFileName TC drop output file name.
+ * @param everyDropTrFileName TC drop output file name.
  */
 static void
 TraceEveryDrop(std::string everyDropTrFileName)
@@ -202,9 +202,9 @@
 /**
  * Traffic Control Dropping state trace.
  *
- * \param stream The output stream.
- * \param oldVal Old value.
- * \param newVal New value.
+ * @param stream The output stream.
+ * @param oldVal Old value.
+ * @param newVal New value.
  */
 static void
 DroppingStateTracer(Ptr<OutputStreamWrapper> stream, bool oldVal, bool newVal)
@@ -224,7 +224,7 @@
 /**
  * Setup for Traffic Control dropping tracking.
  *
- * \param dropStateTrFileName TC drop state output file name.
+ * @param dropStateTrFileName TC drop state output file name.
  */
 static void
 TraceDroppingState(std::string dropStateTrFileName)
@@ -247,10 +247,10 @@
 /**
  * Create a Bulk Flow application
  *
- * \param remoteAddress Remote address.
- * \param sender Sender node.
- * \param pktSize Packet size.
- * \param stopTime Stop time.
+ * @param remoteAddress Remote address.
+ * @param sender Sender node.
+ * @param pktSize Packet size.
+ * @param stopTime Stop time.
  */
 void
 CreateBulkFlow(AddressValue remoteAddress, Ptr<Node> sender, uint32_t pktSize, float stopTime)
@@ -267,9 +267,9 @@
 /**
  * Create a On Off Flow application.
  *
- * \param remoteAddress Remote address.
- * \param sender Sender node.
- * \param stopTime Stop time.
+ * @param remoteAddress Remote address.
+ * @param sender Sender node.
+ * @param stopTime Stop time.
  */
 void
 CreateOnOffFlow(AddressValue remoteAddress, Ptr<Node> sender, float stopTime)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc ns-3.44/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc
--- ns-3.43/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc	2025-03-09 16:55:49.707372200 -0700
@@ -46,9 +46,9 @@
 /**
  * Function called when Congestion Window is changed.
  *
- * \param stream Output stream.
- * \param oldval Old value.
- * \param newval New value.
+ * @param stream Output stream.
+ * @param oldval Old value.
+ * @param newval New value.
  */
 static void
 CwndTracer(Ptr<OutputStreamWrapper> stream, uint32_t oldval, uint32_t newval)
@@ -61,7 +61,7 @@
  *
  * Note that you can not hook to the trace before the socket is created.
  *
- * \param cwndTrFileName Name of the output file.
+ * @param cwndTrFileName Name of the output file.
  */
 static void
 TraceCwnd(std::string cwndTrFileName)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/examples/pfifo-vs-red.cc ns-3.44/src/traffic-control/examples/pfifo-vs-red.cc
--- ns-3.43/src/traffic-control/examples/pfifo-vs-red.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/examples/pfifo-vs-red.cc	2025-03-09 16:55:49.707372200 -0700
@@ -139,8 +139,8 @@
     {
         sinkApps.Add(packetSinkHelper.Install(d.GetLeft(i)));
     }
-    sinkApps.Start(Seconds(0.0));
-    sinkApps.Stop(Seconds(30.0));
+    sinkApps.Start(Seconds(0));
+    sinkApps.Stop(Seconds(30));
 
     ApplicationContainer clientApps;
     for (uint32_t i = 0; i < d.RightCount(); ++i)
@@ -150,8 +150,8 @@
         clientHelper.SetAttribute("Remote", remoteAddress);
         clientApps.Add(clientHelper.Install(d.GetRight(i)));
     }
-    clientApps.Start(Seconds(1.0)); // Start 1 second after sink
-    clientApps.Stop(Seconds(15.0)); // Stop before the sink
+    clientApps.Start(Seconds(1)); // Start 1 second after sink
+    clientApps.Stop(Seconds(15)); // Stop before the sink
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/examples/red-tests.cc ns-3.44/src/traffic-control/examples/red-tests.cc
--- ns-3.43/src/traffic-control/examples/red-tests.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/examples/red-tests.cc	2025-03-09 16:55:49.707372200 -0700
@@ -67,7 +67,7 @@
 /**
  * Check the queue size and write its stats to the output files.
  *
- * \param queue The queue to check.
+ * @param queue The queue to check.
  */
 void
 CheckQueueSize(Ptr<QueueDisc> queue)
@@ -92,7 +92,7 @@
 /**
  * Setup the apps.
  *
- * \param test The test number.
+ * @param test The test number.
  */
 void
 BuildAppsTest(uint32_t test)
@@ -140,7 +140,7 @@
         ApplicationContainer clientApps2;
         clientHelper2.SetAttribute("Remote", remoteAddress);
         clientApps2.Add(clientHelper2.Install(n1n2.Get(0)));
-        clientApps2.Start(Seconds(3.0));
+        clientApps2.Start(Seconds(3));
         clientApps2.Stop(Seconds(client_stop_time));
     }
     else // 4 or 5
@@ -208,7 +208,7 @@
         AddressValue remoteAddress2(InetSocketAddress(i3i5.GetAddress(1), port2));
         clientHelper2.SetAttribute("Remote", remoteAddress2);
         clientApps2.Add(clientHelper2.Install(n1n2.Get(0)));
-        clientApps2.Start(Seconds(2.0));
+        clientApps2.Start(Seconds(2));
         clientApps2.Stop(Seconds(client_stop_time));
 
         // Connection #3
@@ -240,7 +240,7 @@
         AddressValue remoteAddress4(InetSocketAddress(i1i2.GetAddress(0), port4));
         clientHelper4.SetAttribute("Remote", remoteAddress4);
         clientApps4.Add(clientHelper4.Install(n3n5.Get(1)));
-        clientApps4.Start(Seconds(1.0));
+        clientApps4.Start(Seconds(1));
         clientApps4.Stop(Seconds(client_stop_time));
     }
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/examples/red-vs-ared.cc ns-3.44/src/traffic-control/examples/red-vs-ared.cc
--- ns-3.43/src/traffic-control/examples/red-vs-ared.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/examples/red-vs-ared.cc	2025-03-09 16:55:49.707372200 -0700
@@ -139,8 +139,8 @@
     {
         sinkApps.Add(packetSinkHelper.Install(d.GetLeft(i)));
     }
-    sinkApps.Start(Seconds(0.0));
-    sinkApps.Stop(Seconds(30.0));
+    sinkApps.Start(Seconds(0));
+    sinkApps.Stop(Seconds(30));
 
     ApplicationContainer clientApps;
     for (uint32_t i = 0; i < d.RightCount(); ++i)
@@ -150,8 +150,8 @@
         clientHelper.SetAttribute("Remote", remoteAddress);
         clientApps.Add(clientHelper.Install(d.GetRight(i)));
     }
-    clientApps.Start(Seconds(1.0)); // Start 1 second after sink
-    clientApps.Stop(Seconds(15.0)); // Stop before the sink
+    clientApps.Start(Seconds(1)); // Start 1 second after sink
+    clientApps.Stop(Seconds(15)); // Stop before the sink
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/helper/queue-disc-container.h ns-3.44/src/traffic-control/helper/queue-disc-container.h
--- ns-3.43/src/traffic-control/helper/queue-disc-container.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/helper/queue-disc-container.h	2025-03-09 16:55:49.707372200 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief Holds a vector of ns3::QueueDisc pointers.
+ * @brief Holds a vector of ns3::QueueDisc pointers.
  *
  * Typically ns-3 QueueDiscs are installed on net devices using a traffic control
  * helper. The helper Install method takes a NetDeviceContainer which holds
@@ -43,7 +43,7 @@
     QueueDiscContainer();
 
     /**
-     * \param qDisc a queue disc to add to the container
+     * @param qDisc a queue disc to add to the container
      *
      * Create a QueueDiscContainer with exactly one queue disc that has previously
      * been instantiated
@@ -51,7 +51,7 @@
     QueueDiscContainer(Ptr<QueueDisc> qDisc);
 
     /**
-     * \brief Get a const iterator which refers to the first QueueDisc in the
+     * @brief Get a const iterator which refers to the first QueueDisc in the
      * container.
      *
      * QueueDiscs can be retrieved from the container in two ways. First,
@@ -59,20 +59,20 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the QueueDiscs
      *
-     * \code
+     * @code
      *   QueueDiscContainer::ConstIterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some QueueDisc method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns a const iterator which refers to the first QueueDisc in the container.
+     * @returns a const iterator which refers to the first QueueDisc in the container.
      */
     ConstIterator Begin() const;
 
     /**
-     * \brief Get a const iterator which indicates past-the-last QueueDisc in the
+     * @brief Get a const iterator which indicates past-the-last QueueDisc in the
      * container.
      *
      * QueueDiscs can be retrieved from the container in two ways. First,
@@ -80,20 +80,20 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the QueueDiscs
      *
-     * \code
+     * @code
      *   QueueDiscContainer::ConstIterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some QueueDisc method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns a const iterator which indicates an ending condition for a loop.
+     * @returns a const iterator which indicates an ending condition for a loop.
      */
     ConstIterator End() const;
 
     /**
-     * \brief Get the number of Ptr<QueueDisc> stored in this container.
+     * @brief Get the number of Ptr<QueueDisc> stored in this container.
      *
      * QueueDiscs can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
@@ -101,21 +101,21 @@
      * define an ending condition in a for-loop that runs through the stored
      * QueueDiscs
      *
-     * \code
+     * @code
      *   uint32_t nQueueDiscs = container.GetN ();
      *   for (uint32_t i = 0 i < nQueueDiscs; ++i)
      *     {
      *       Ptr<QueueDisc> p = container.Get (i)
      *       i->method ();  // some QueueDisc method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns the number of Ptr<QueueDisc> stored in this container.
+     * @returns the number of Ptr<QueueDisc> stored in this container.
      */
     std::size_t GetN() const;
 
     /**
-     * \brief Get the Ptr<QueueDisc> stored in this container at a given
+     * @brief Get the Ptr<QueueDisc> stored in this container at a given
      * index.
      *
      * QueueDiscs can be retrieved from the container in two ways. First,
@@ -123,32 +123,32 @@
      * This method is used in the direct method and is used to retrieve the
      * indexed Ptr<QueueDisc>.
      *
-     * \code
+     * @code
      *   uint32_t nQueueDiscs = container.GetN ();
      *   for (uint32_t i = 0 i < nQueueDiscs; ++i)
      *     {
      *       Ptr<QueueDisc> p = container.Get (i)
      *       i->method ();  // some QueueDisc method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \param i the index of the requested queue disc pointer.
-     * \returns the requested queue disc pointer.
+     * @param i the index of the requested queue disc pointer.
+     * @returns the requested queue disc pointer.
      */
     Ptr<QueueDisc> Get(std::size_t i) const;
 
     /**
-     * \brief Append the contents of another QueueDiscContainer to the end of
+     * @brief Append the contents of another QueueDiscContainer to the end of
      * this container.
      *
-     * \param other The QueueDiscContainer to append.
+     * @param other The QueueDiscContainer to append.
      */
     void Add(QueueDiscContainer other);
 
     /**
-     * \brief Append a single Ptr<QueueDisc> to this container.
+     * @brief Append a single Ptr<QueueDisc> to this container.
      *
-     * \param qDisc The Ptr<QueueDisc> to append.
+     * @param qDisc The Ptr<QueueDisc> to append.
      */
     void Add(Ptr<QueueDisc> qDisc);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/helper/traffic-control-helper.h ns-3.44/src/traffic-control/helper/traffic-control-helper.h
--- ns-3.43/src/traffic-control/helper/traffic-control-helper.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/helper/traffic-control-helper.h	2025-03-09 16:55:49.707372200 -0700
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
  * This class stores object factories required to create a queue disc and all of
  * its components (packet filters, internal queues, classes).
@@ -31,9 +31,9 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param factory the factory used to create this queue disc
+     * @param factory the factory used to create this queue disc
      */
     QueueDiscFactory(ObjectFactory factory);
 
@@ -45,40 +45,40 @@
     QueueDiscFactory() = delete;
 
     /**
-     * \brief Add a factory to create an internal queue
+     * @brief Add a factory to create an internal queue
      *
-     * \param factory the factory used to create an internal queue
+     * @param factory the factory used to create an internal queue
      */
     void AddInternalQueue(ObjectFactory factory);
 
     /**
-     * \brief Add a factory to create a packet filter
+     * @brief Add a factory to create a packet filter
      *
-     * \param factory the factory used to create a packet filter
+     * @param factory the factory used to create a packet filter
      */
     void AddPacketFilter(ObjectFactory factory);
 
     /**
-     * \brief Add a factory to create a queue disc class
+     * @brief Add a factory to create a queue disc class
      *
-     * \param factory the factory used to create a queue disc class
-     * \return the class ID of the created queue disc class
+     * @param factory the factory used to create a queue disc class
+     * @return the class ID of the created queue disc class
      */
     uint16_t AddQueueDiscClass(ObjectFactory factory);
 
     /**
-     * \brief Set the (child) queue disc to attach to a class
+     * @brief Set the (child) queue disc to attach to a class
      *
-     * \param classId the id of the class to attach a child queue disc to
-     * \param handle the handle of the child queue disc to attach to the class
+     * @param classId the id of the class to attach a child queue disc to
+     * @param handle the handle of the child queue disc to attach to the class
      */
     void SetChildQueueDisc(uint16_t classId, uint16_t handle);
 
     /**
-     * \brief Create a queue disc with the currently stored configuration.
+     * @brief Create a queue disc with the currently stored configuration.
      *
-     * \param queueDiscs the vector of queue discs held by the helper
-     * \return the created queue disc
+     * @param queueDiscs the vector of queue discs held by the helper
+     * @return the created queue disc
      */
     Ptr<QueueDisc> CreateQueueDisc(const std::vector<Ptr<QueueDisc>>& queueDiscs);
 
@@ -96,9 +96,9 @@
 };
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief Build a set of QueueDisc objects
+ * @brief Build a set of QueueDisc objects
  *
  * This class can help to create QueueDisc objects and map them to
  * the corresponding devices. This map is stored at the Traffic Control
@@ -118,8 +118,8 @@
     }
 
     /**
-     * \param nTxQueues the number of Tx queue disc classes
-     * \returns a new TrafficControlHelper with a default configuration
+     * @param nTxQueues the number of Tx queue disc classes
+     * @returns a new TrafficControlHelper with a default configuration
      *
      * The default configuration is an FqCoDelQueueDisc, if the device has a single
      * queue, or an MqQueueDisc with as many FqCoDelQueueDiscs as the number of
@@ -132,10 +132,10 @@
      * given attributes. To set the InternalQueueList, PacketFilterList and ChildQueueDiscList
      * attributes, use the AddInternalQueue, AddPacketFilter and AddChildQueueDisc methods.
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param type the type of queue disc
-     * \param args A sequence of name-value pairs of the attributes to set.
-     * \return the handle of the root queue disc (zero)
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param type the type of queue disc
+     * @param args A sequence of name-value pairs of the attributes to set.
+     * @return the handle of the root queue disc (zero)
      */
     template <typename... Args>
     uint16_t SetRootQueueDisc(const std::string& type, Args&&... args);
@@ -144,11 +144,11 @@
      * Helper function used to add the given number of internal queues (of the given
      * type and with the given attributes) to the queue disc having the given handle.
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param handle the handle of the parent queue disc
-     * \param count the number of queues to add
-     * \param type the type of queue
-     * \param args A sequence of name-value pairs of the attributes to set.
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param handle the handle of the parent queue disc
+     * @param count the number of queues to add
+     * @param type the type of queue
+     * @param args A sequence of name-value pairs of the attributes to set.
      */
     template <typename... Args>
     void AddInternalQueues(uint16_t handle, uint16_t count, std::string type, Args&&... args);
@@ -157,10 +157,10 @@
      * Helper function used to add a packet filter (of the given type and with
      * the given attributes) to the queue disc having the given handle.
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param handle the handle of the parent queue disc
-     * \param type the type of packet filter
-     * \param args A sequence of name-value pairs of the attributes to set.
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param handle the handle of the parent queue disc
+     * @param type the type of packet filter
+     * @param args A sequence of name-value pairs of the attributes to set.
      */
     template <typename... Args>
     void AddPacketFilter(uint16_t handle, const std::string& type, Args&&... args);
@@ -174,12 +174,12 @@
      * Helper function used to add the given number of queue disc classes (of the given
      * type and with the given attributes) to the queue disc having the given handle.
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param handle the handle of the parent queue disc
-     * \param count the number of queue disc classes to add
-     * \param type the type of queue disc class
-     * \param args A sequence of name-value pairs of the attributes to set.
-     * \return the list of class IDs
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param handle the handle of the parent queue disc
+     * @param count the number of queue disc classes to add
+     * @param type the type of queue disc class
+     * @param args A sequence of name-value pairs of the attributes to set.
+     * @return the list of class IDs
      */
     template <typename... Args>
     ClassIdList AddQueueDiscClasses(uint16_t handle,
@@ -192,12 +192,12 @@
      * the given attributes) to a given class (included in the queue disc
      * having the given handle).
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param handle the handle of the parent queue disc
-     * \param classId the class ID of the class to attach the queue disc to
-     * \param type the type of queue disc
-     * \param args A sequence of name-value pairs of the attributes to set.
-     * \return the handle of the created child queue disc
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param handle the handle of the parent queue disc
+     * @param classId the class ID of the class to attach the queue disc to
+     * @param type the type of queue disc
+     * @param args A sequence of name-value pairs of the attributes to set.
+     * @return the handle of the created child queue disc
      */
     template <typename... Args>
     uint16_t AddChildQueueDisc(uint16_t handle,
@@ -215,12 +215,12 @@
      * the given attributes) to each of the given classes (included in the queue disc
      * having the given handle).
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param handle the handle of the parent queue disc
-     * \param classes the class IDs of the classes to attach a queue disc to
-     * \param type the type of queue disc
-     * \param args A sequence of name-value pairs of the attributes to set.
-     * \return the list of handles of the created child queue discs
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param handle the handle of the parent queue disc
+     * @param classes the class IDs of the classes to attach a queue disc to
+     * @param type the type of queue disc
+     * @param args A sequence of name-value pairs of the attributes to set.
+     * @return the list of handles of the created child queue discs
      */
     template <typename... Args>
     HandleList AddChildQueueDiscs(uint16_t handle,
@@ -232,16 +232,16 @@
      * Helper function used to add a queue limits object to the transmission
      * queues of the devices
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
-     * \param type the type of queue
-     * \param args A sequence of name-value pairs of the attributes to set.
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs.
+     * @param type the type of queue
+     * @param args A sequence of name-value pairs of the attributes to set.
      */
     template <typename... Args>
     void SetQueueLimits(std::string type, Args&&... args);
 
     /**
-     * \param c set of devices
-     * \returns a QueueDisc container with the root queue discs installed on the devices
+     * @param c set of devices
+     * @returns a QueueDisc container with the root queue discs installed on the devices
      *
      * This method creates a QueueDisc object of the type and with the
      * attributes configured by TrafficControlHelper::SetQueueDisc for
@@ -257,8 +257,8 @@
     QueueDiscContainer Install(NetDeviceContainer c);
 
     /**
-     * \param d device
-     * \returns a QueueDisc container with the root queue disc installed on the device
+     * @param d device
+     * @returns a QueueDisc container with the root queue disc installed on the device
      *
      * This method creates the queue discs (along with their packet filters,
      * internal queues, classes) configured with the methods provided by this
@@ -268,7 +268,7 @@
     QueueDiscContainer Install(Ptr<NetDevice> d);
 
     /**
-     * \param c set of devices
+     * @param c set of devices
      *
      * This method removes the root queue discs (and associated filters, classes
      * and queues) installed on the given devices.
@@ -282,7 +282,7 @@
     void Uninstall(NetDeviceContainer c);
 
     /**
-     * \param d device
+     * @param d device
      *
      * This method removes the root queue disc (and associated filters, classes
      * and queues) installed on the given device.
@@ -299,55 +299,55 @@
     /**
      * Actual implementation of the SetRootQueueDisc method.
      *
-     * \param factory the factory used to create the root queue disc
-     * \returns zero on success
+     * @param factory the factory used to create the root queue disc
+     * @returns zero on success
      */
     uint16_t DoSetRootQueueDisc(ObjectFactory factory);
 
     /**
      * Actual implementation of the AddInternalQueues method.
      *
-     * \param handle the handle of the parent queue disc
-     * \param count the number of queues to add
-     * \param factory the factory used to add internal queues
+     * @param handle the handle of the parent queue disc
+     * @param count the number of queues to add
+     * @param factory the factory used to add internal queues
      */
     void DoAddInternalQueues(uint16_t handle, uint16_t count, ObjectFactory factory);
 
     /**
      * Actual implementation of the AddPacketFilter method.
      *
-     * \param handle the handle of the parent queue disc
-     * \param factory the factory used to add a packet filter
+     * @param handle the handle of the parent queue disc
+     * @param factory the factory used to add a packet filter
      */
     void DoAddPacketFilter(uint16_t handle, ObjectFactory factory);
 
     /**
      * Actual implementation of the AddQueueDiscClasses method.
      *
-     * \param handle the handle of the parent queue disc
-     * \param count the number of queue disc classes to add
-     * \param factory the factory used to add queue disc classes
-     * \return the list of class IDs
+     * @param handle the handle of the parent queue disc
+     * @param count the number of queue disc classes to add
+     * @param factory the factory used to add queue disc classes
+     * @return the list of class IDs
      */
     ClassIdList DoAddQueueDiscClasses(uint16_t handle, uint16_t count, ObjectFactory factory);
 
     /**
      * Actual implementation of the AddChildQueueDisc method.
      *
-     * \param handle the handle of the parent queue disc
-     * \param classId the class ID of the class to attach the queue disc to
-     * \param factory the factory used to add a child queue disc
-     * \return the handle of the created child queue disc
+     * @param handle the handle of the parent queue disc
+     * @param classId the class ID of the class to attach the queue disc to
+     * @param factory the factory used to add a child queue disc
+     * @return the handle of the created child queue disc
      */
     uint16_t DoAddChildQueueDisc(uint16_t handle, uint16_t classId, ObjectFactory factory);
 
     /**
      * Actual implementation of the AddChildQueueDiscs method.
      *
-     * \param handle the handle of the parent queue disc
-     * \param classes the class IDs of the classes to attach a queue disc to
-     * \param factory the factory used to add child queue discs
-     * \return the list of handles of the created child queue discs
+     * @param handle the handle of the parent queue disc
+     * @param classes the class IDs of the classes to attach a queue disc to
+     * @param factory the factory used to add child queue discs
+     * @return the list of handles of the created child queue discs
      */
     HandleList DoAddChildQueueDiscs(uint16_t handle,
                                     const ClassIdList& classes,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/cobalt-queue-disc.cc ns-3.44/src/traffic-control/model/cobalt-queue-disc.cc
--- ns-3.43/src/traffic-control/model/cobalt-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/cobalt-queue-disc.cc	2025-03-09 16:55:49.707372200 -0700
@@ -110,9 +110,9 @@
 /**
  * Performs a reciprocal divide, similar to the
  * Linux kernel reciprocal_divide function
- * \param A numerator
- * \param R reciprocal of the denominator B
- * \return the value of A/B
+ * @param A numerator
+ * @param R reciprocal of the denominator B
+ * @return the value of A/B
  */
 /* borrowed from the linux kernel */
 static inline uint32_t
@@ -123,7 +123,7 @@
 
 /**
  * Returns the current time translated in CoDel time representation
- * \return the current time
+ * @return the current time
  */
 static int64_t
 CoDelGetTime()
